%global __requires_exclude	typelib\\\(AppIndicator\\\)

Summary:	A Gtk+ time tracking application
Name:		gtimelog
Version:	0.11.3
Release:	%mkrel 3
Group:		Office/Utilities
License:	GPLv2
URL:		https://gtimelog.org/
Source0:	https://github.com/gtimelog/gtimelog/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
Requires:	python3-gobject3
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description
GTimeLog is a small Gtk+ app for keeping track of your time. It's main goal
is to be as unintrusive as possible.

%prep
%setup -q

%build
%py3_build

%install
%py3_install

mkdir -p %{buildroot}%{_datadir}/applications

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
		%{name}.desktop

#icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps/
ln -s %{python3_sitelib}/%{name}/%{name}.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%files
%doc CHANGES.rst CONTRIBUTING.rst gtimelog.rst README.rst TODO.rst
%doc src/gtimelog/CONTRIBUTORS.rst
%{_bindir}/%{name}
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.11.3-3.mga8
+ Revision: 1533423
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 daviddavid <daviddavid> 0.11.3-2.mga8
+ Revision: 1444283
- rebuild for python3.8

* Sun Jul 07 2019 wally <wally> 0.11.3-1.mga8
+ Revision: 1419237
- new version 0.11.3

* Sat Mar 16 2019 wally <wally> 0.11.2-2.mga7
+ Revision: 1378110
- fix docs

* Sat Mar 16 2019 wally <wally> 0.11.2-1.mga7
+ Revision: 1378105
- new version 0.11.2

* Fri Jan 11 2019 daviddavid <daviddavid> 0.10.3-4.mga7
+ Revision: 1355028
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.10.3-3.mga7
+ Revision: 1278642
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.10.3-2.mga7
+ Revision: 1135223
- Rebuild for python 3.6

* Sun Jan 01 2017 wally <wally> 0.10.3-1.mga6
+ Revision: 1079307
- new version 0.10.3

* Fri Feb 19 2016 umeabot <umeabot> 0.10.0-3.mga6
+ Revision: 970618
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 0.10.0-2.mga6
+ Revision: 887300
- rebuild for python 3.5
- use new python macros

* Mon Oct 05 2015 wally <wally> 0.10.0-1.mga6
+ Revision: 886469
- new version 0.10.0

* Sat Sep 05 2015 wally <wally> 0.9.2-2.mga6
+ Revision: 873115
- switch to python3

* Sun Jun 21 2015 wally <wally> 0.9.2-1.mga6
+ Revision: 837829
- new version 0.9.2
- drop unneeded BR

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-5.mga5
+ Revision: 749756
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.1-4.mga5
+ Revision: 726453
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-3.mga5
+ Revision: 679996
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Sat May 31 2014 pterjan <pterjan> 0.9.1-2.mga5
+ Revision: 628244
- Rebuild for new Python

* Wed Feb 05 2014 wally <wally> 0.9.1-1.mga5
+ Revision: 583389
- new version 0.9.1
- new source location

* Sat Nov 02 2013 fwang <fwang> 0.8.1-6.mga4
+ Revision: 548912
- filter correctly
- prefer python-gi over pygtk

* Tue Oct 22 2013 umeabot <umeabot> 0.8.1-4.mga4
+ Revision: 542671
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.8.1-3.mga4
+ Revision: 497770
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 wally <wally> 0.8.1-2.mga4
+ Revision: 450212
- fix desktop menu icon

* Tue Jul 02 2013 wally <wally> 0.8.1-1.mga4
+ Revision: 449680
- new version 0.8.1
- clean .spec
- imported package gtimelog


* Wed Mar 16 2011 Stéphane Téletchéa <steletch@mandriva.org> 0.5.0-1mdv2011.0
+ Revision: 645232
- update to new version 0.5.0

* Sat Nov 06 2010 Bogdano Arendartchuk <bogdano@mandriva.com> 0.4.0-1mdv2011.0
+ Revision: 594262
- imported package gtimelog

